Subject: [Rtg-yang-coord] rtg-cfg draft

From: "Acee Lindem (acee)" <[email-masked]>
Date: Thu, 12 Feb 2015 22:08:43 +0000

Hi Thomas, 

It is my understanding that the RIBs were moved out of the
routing-instance in response to your comment that a RIB would need to be
attached to multiple routing instances. I don¹t agree with this model. I
believe that a routing instance implies a VRF, virtual router or something
in between and that a RIB should be associated with one and only one
routing instance. Additionally, I feel that RIBs are basically passive
entities with respect to import/export of routes between RIBs in the same
or other routing-instances. Rather, all import/export is under the control
of a routing-protocol. For example, this would be handled by a BGP
routing-protocol instance for L3VPNs.

I¹d like to get the opinions of others on this fundamental aspect of the
rtg-cfg model. 

Thanks,
Acee